declare enum Level {
    Debug = "Debug",
    Info = "Info",
    Warn = "Warn",
    Error = "Error"
}

interface Option {
    path: string;
    level: Level;
    onConsole: boolean;
}

declare function export_default(option: Option): Logger;
declare class Logger {
    private date;
    private path;
    private level;
    private onConsole;
    private writeStream;
    constructor(option: Option);
    private getDate;
    private createNewFile;
    private append;
    private getTimestamp;
    debug(log: string): void;
    info(log: string): void;
    warn(log: string): void;
    error(log: string): void;
    private exe;
    private print;
}

export { Level, Logger, type Option, export_default as default };
